Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000169 [Piwigo] albums feature always 2005.09.29 11:39 2008.09.11 23:32
Reporter Toxin View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Butterfly 2 Product Version
  Target Version Product Build
Summary 0000169: trier les images d'une catégorie
Description Il serait fort utile quand une série de photos est prise autour d'un même thême de pouvoir trier les photos au sein d'une catégorie selon le bon vouloir de l'administrateur. Les photos ne sont en effet pas retouchées/uploadées forcément dans la foulée car une telle galerie peut constituer des mois de travail. Un tri a posteriori est donc nécessaire pour que le visiteur puisse suivre la démarche photographique.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000125closedplg Images sort order 

-  Notes
(0000279)
plg (manager)
2005.09.29 22:35

La solution proposée par le paramètre de configuration $conf['order_by'] du fichier de configuration include/config.inc.php (branche 1.4) ou include/config_default.inc.php (branche 1.5) ne te conviendrait-elle pas ?
(0000280)
Toxin (reporter)
2005.09.30 08:44

Non, absolument pas c'est un tri à la carte que je voudrais, pour chaque catégorie/sous catégorie de ma galerie.
Je ne vois pas quel serait la pertinence de définir des tris dans un fichier de conf alors que les galeries sont définies dans la base, par ailleurs.

La solution à mes yeux est d'ajouter un champ dans la table `phpwebgallery_image_category` ou d'en créer une autre avec category_id,image_id, index_id, l'index_id représentant la position de l'image dans la galerie.

Merci de ta réponse en tout cas.
(0000307)
plg (manager)
2005.10.19 22:23

Mon soucis c'est l'ergonomie.

Techniquement, il "suffit" de rajouter un champ "rank" dans la table image_category.

Par contre, au niveau de l'ergonomie, je peux faire une proposition, mais elle ne sera utilisable que pour des catégories avec un nombre limité de photos (moins de 50) : sur la page de gestion par lot des photos d'une catégorie, en mode global (fonctionnalité disponible en branche 1.5 seulement), sous chaque miniature, ajouter un champ textuel invitant à donner le rang numérique de chaque photo.

Si cela te convient, on pourrait d'abord travailler avec un MOD pour la branche 1.5 et ensuite l'intégrer pour qu'elle soit disponible en standard en branche 1.6.

Je met volontairement de côté les solutions basées sur des glisser/déposer, c'est assez complexe techniquement et hors de mon champ de compétence pour la maintenance.
(0000390)
rvelices (developer)
2005.11.10 12:02

J'avais le meme besoin et je l'ai resolu un peu differement:
- j'ai rajoute une colonne order_by dans la table categories
- ensuie j'ecrase $conf['order_by'] si ce champ est pas null (et la categorie courante est numerique)

par contre je n'ai pas developpe d'interface pour cela, mais je pense que c'est beaucoup + simple a faire l'admininistration de cette maniere que de rajouter le rank dans image_categoy
(0000391)
Toxin (reporter)
2005.11.10 13:20

Ok je vais moi-même tenter une manip de ce genre, je vous tiens au courant.
(0000746)
rvelices (developer)
2006.04.14 04:10

Je remonte cette requete et je me l'assigne.
Je compte le faire tel que decrit 2 notes plus haut. Par contre ca sera pour la 1.7 car la 1.6 est deja en branche.
(0000758)
mathiasm (manager)
2006.04.15 00:00

rvelices: que contient ta colonne order_by ? je ne vois pas comment tu fais ton tri manuel. Tu fais bien sauter le "order by" avec la manip de la note 390, mais du coup les photos sont triées par date d'ajout (equivalent au tri sur l'index image_id de la table #images).
(0000787)
rvelices (developer)
2006.04.19 19:48

Il n'y a pas de tri manuel. Seulement automatique, mais different selon la categorie. (Ce qui est difficile pour le tri manuel est l'interface d'admin).

En plus des besoins que j'avais pour differents tri (automatiques), avec l'apparition des tags j'aurai besoin encore plus (par exemple la categorie mes vacances doit etre trie par ordre chronologique ascendant, mais dans les tags je voudrait voir d'abord les photos les plus recentes).
(0001300)
rvelices (developer)
2006.07.26 02:44

Now each category can have a different order of images (not manual!)
[Subversion] r1500
(0001483)
rvelices (developer)
2006.10.20 06:26

updated Fixed in version Alligator instead of bsf
(0001620)
VDigital (reporter)
2007.01.01 09:46

Tu ne peux pas proposer de tri sur "plus vues" et "note moyenne"
Ces colonnes ne sont pas stables.

Exemple de pb...
Tri sur "plus vues" Ascendant.
Visite la catégorie...
Sur Picture.php, tu es toujours sur la première image.
Passe à la suivante, ça marche mais essaie de revenir à la précédente.
Avance de trois images et revient au début (sauf que tu es au début).
Bonne année 2007
8-)
(0001624)
rvelices (developer)
2007.01.02 15:25

>>> Tu ne peux pas proposer de tri sur "plus vues" et "note moyenne"
>>> Ces colonnes ne sont pas stables.
Proposes-tu que je vire ces 2 possibilites ? (dans ce cas je vire aussi plus vues / note moyenne de la liste deroulante sur la page index).

Effectivement il y a pb pour les categories contenant des images nouvelles qu'on commence a visiter, mais faut-il virer la possibilite pour les admin de choisir ceci ?
(0001630)
VDigital (reporter)
2007.01.02 21:47

>>> Proposes-tu que je vire ces 2 possibilites ? (dans ce cas je vire aussi plus vues / note moyenne de la liste deroulante sur la page index).
Je considère qu'il faut laisser parce qu'on aura toujours un gros malin qui voudra les voir selon ces critères.

>>> Effectivement il y a pb pour les categories contenant des images nouvelles qu'on commence a visiter, mais faut-il virer la possibilite pour les admin de choisir ceci ?
Peut-être:
On peut effectivement les laisser mais un message de type Warning s'impose.
Veuillez vous assurer que le résultat obtenu est conforme à vos attentes car la navigation peut être très curieuse pour vos visiteurs, vérifiez par vous-même.
(0001697)
plg (manager)
2007.01.27 00:09

Je reviens peut-être sur l'idée d'avoir une nouvelle colone #image_category.rank. Certes, ce serait ingérable pour des catégories de centaines de photos, mais pour des catégories de taille raisonnable, c'est parfaitement jouable.

Ce que j'ai en tête, c'est une page dédié à la gestion du "rang manuel" pour une catégorie donnée. Avec un lien à partir de admin/cat_modify.php. Sur cette page, on aurait les miniatures des photos, en matrice, avec un textfield "rank" basé sur le même principe que pour [Administration > Categories > Manage]. On aurait le nombre de miniatures par page en option (comme sur [Administration > Pictures > Caddie]).

Cela ajouterait un type de tri: "manual rank".

Qu'en pensez-vous ?
(0001699)
VDigital (reporter)
2007.01.27 08:14

J'adhère à 20100%
(0001700)
mathiasm (manager)
2007.01.27 11:02

je pense que cette fonctionnalité va être pratique pour un certain nombre de galeristes :-)
(0002369)
plg (manager)
2008.09.11 23:32

Added on Butterfly trunk in [Subversion] r2517

- Issue History
Date Modified Username Field Change
2005.09.29 11:39 Toxin New Issue
2005.09.29 11:39 Toxin browser => any
2005.09.29 11:39 Toxin Web server => Apache 1.3.x
2005.09.29 22:35 plg Note Added: 0000279
2005.09.29 22:35 plg Assigned To => plg
2005.09.29 22:35 plg Status new => feedback
2005.09.29 22:35 plg version 1.4.1 =>
2005.09.30 08:44 Toxin Note Added: 0000280
2005.10.19 22:23 plg Note Added: 0000307
2005.10.19 22:24 plg Relationship added related to 0000125
2005.11.10 12:02 rvelices Note Added: 0000390
2005.11.10 13:20 Toxin Note Added: 0000391
2005.12.03 10:45 plg Status feedback => confirmed
2005.12.03 10:45 plg Summary Demande d'évolution : Impossible de trier les images au sein d'une catégorie. => trier les images d'une catégorie
2006.04.14 04:10 rvelices Note Added: 0000746
2006.04.14 04:10 rvelices Assigned To plg => rvelices
2006.04.14 04:10 rvelices Status confirmed => assigned
2006.04.15 00:00 mathiasm Note Added: 0000758
2006.04.19 19:48 rvelices Note Added: 0000787
2006.07.26 02:44 rvelices Note Added: 0001300
2006.07.26 02:44 rvelices Fixed in Version => BSF branch (dev)
2006.07.26 02:45 rvelices Status assigned => closed
2006.07.26 02:45 rvelices Resolution open => fixed
2006.10.20 06:25 rvelices Status closed => feedback
2006.10.20 06:25 rvelices Resolution fixed => reopened
2006.10.20 06:26 rvelices Note Added: 0001483
2006.10.20 06:26 rvelices Status feedback => closed
2006.10.20 06:26 rvelices Resolution reopened => fixed
2006.10.20 06:26 rvelices Fixed in Version BSF branch (dev) => Alligator (trunk)
2007.01.01 09:46 VDigital Status closed => feedback
2007.01.01 09:46 VDigital Resolution fixed => reopened
2007.01.01 09:46 VDigital Note Added: 0001620
2007.01.02 15:25 rvelices Note Added: 0001624
2007.01.02 21:47 VDigital Note Added: 0001630
2007.01.27 00:09 plg Note Added: 0001697
2007.01.27 08:14 VDigital Note Added: 0001699
2007.01.27 11:02 mathiasm Note Added: 0001700
2008.07.11 22:06 rvelices Assigned To rvelices =>
2008.09.09 22:23 plg Assigned To => plg
2008.09.09 22:23 plg Status feedback => assigned
2008.09.09 22:23 plg Category configuration => category management
2008.09.09 22:23 plg Fixed in Version Alligator 1 =>
2008.09.11 23:32 plg Note Added: 0002369
2008.09.11 23:32 plg Status assigned => closed
2008.09.11 23:32 plg Resolution reopened => fixed
2008.09.11 23:32 plg Fixed in Version => Butterfly 2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker